# Uses of Enum Class
java.time.Month

Packages that use Month
Package
Description
java.time
The main API for dates, times, instants, and durations.
java.time.zone
Support for time-zones and their rules.

## Uses of Month in java.time

Subclasses with type arguments of type Month in java.time
Modifier and Type
Class
Description
`enum`
`Month`
A month-of-year, such as 'July'.
Methods in java.time that return Month
Modifier and Type
Method
Description
`Month`
Month.`firstMonthOfQuarter()`
Gets the month corresponding to the first month of this quarter.
`static Month`
Month.`from(TemporalAccessor temporal)`
Obtains an instance of `Month` from a temporal object.
`Month`
LocalDate.`getMonth()`
Gets the month-of-year field using the `Month` enum.
`Month`
LocalDateTime.`getMonth()`
Gets the month-of-year field using the `Month` enum.
`Month`
MonthDay.`getMonth()`
Gets the month-of-year field using the `Month` enum.
`Month`
OffsetDateTime.`getMonth()`
Gets the month-of-year field using the `Month` enum.
`Month`
YearMonth.`getMonth()`
Gets the month-of-year field using the `Month` enum.
`Month`
ZonedDateTime.`getMonth()`
Gets the month-of-year field using the `Month` enum.
`Month`
Month.`minus(long months)`
Returns the month-of-year that is the specified number of months before this one.
`static Month`
Month.`of(int month)`
Obtains an instance of `Month` from an `int` value.
`Month`
Month.`plus(long months)`
Returns the month-of-year that is the specified number of months after this one.
`static Month`
Month.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Month[]`
Month.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.time with parameters of type Month
Modifier and Type
Method
Description
`YearMonth`
Year.`atMonth(Month month)`
Combines this year with a month to create a `YearMonth`.
`static LocalDate`
LocalDate.`of(int year, Month month, int dayOfMonth)`
Obtains an instance of `LocalDate` from a year, month and day.
`static LocalDateTime`
LocalDateTime.`of(int year, Month month, int dayOfMonth, int hour, int minute)`
Obtains an instance of `LocalDateTime` from year, month, day, hour and minute, setting the second and nanosecond to zero.
`static LocalDateTime`
LocalDateTime.`of(int year, Month month, int dayOfMonth, int hour, int minute, int second)`
Obtains an instance of `LocalDateTime` from year, month, day, hour, minute and second, setting the nanosecond to zero.
`static LocalDateTime`
LocalDateTime.`of(int year, Month month, int dayOfMonth, int hour, int minute, int second, int nanoOfSecond)`
Obtains an instance of `LocalDateTime` from year, month, day, hour, minute, second and nanosecond.
`static MonthDay`
MonthDay.`of(Month month, int dayOfMonth)`
Obtains an instance of `MonthDay`.
`static YearMonth`
YearMonth.`of(int year, Month month)`
Obtains an instance of `YearMonth` from a year and month.
`MonthDay`
MonthDay.`with(Month month)`
Returns a copy of this `MonthDay` with the month-of-year altered.

## Uses of Month in java.time.zone

Methods in java.time.zone that return Month
Modifier and Type
Method
Description
`Month`
ZoneOffsetTransitionRule.`getMonth()`
Gets the month of the transition.
Methods in java.time.zone with parameters of type Month
Modifier and Type
Method
Description
`static ZoneOffsetTransitionRule`
ZoneOffsetTransitionRule.`of(Month month, int dayOfMonthIndicator, DayOfWeek dayOfWeek, LocalTime time, boolean timeEndOfDay, ZoneOffsetTransitionRule.TimeDefinition timeDefinition, ZoneOffset standardOffset, ZoneOffset offsetBefore, ZoneOffset offsetAfter)`
Obtains an instance defining the yearly rule to create transitions between two offsets.